## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class DomDestination

    public class DomDestination

extends XmlDestination

  A `DomDestination` represents an XmlDocument that is constructed to hold the output of a query or transformation.

  No data needs to be supplied to the `DomDestination` object. The query or transformation populates an `XmlDocument`, which may then be retrieved as the value of the `XmlDocument` property

Constructor Summary
`DomDestination()` Construct a `DomDestination`
`DomDestination(System.Xml.XmlDocument attachmentPoint)` Construct a `DomDestination` based on an existing Document node.
`DomDestination(System.Xml.XmlDocumentFragment attachmentPoint)` Construct a `DomDestination` based on an existing DocumentFragment node.
`DomDestination(System.Xml.XmlElement attachmentPoint)` Construct a `DomDestination` based on an existing Element node.

Property Summary
`XmlDocument` | `XmlDocument` After construction, retrieve the constructed document node

Method Summary
`JResult` | `GetResult()`

Constructor Detail

### DomDestination

    public DomDestination()

  Construct a `DomDestination`

  With this constructor, the system will create a new DOM Document to act as the destination of the query or transformation results. The document node of the new document may be retrieved via the XmlDocument property.

### DomDestination

    public DomDestination(System.Xml.XmlDocument attachmentPoint)

  Construct a `DomDestination` based on an existing Document node.

  The new data will be added as a child of the supplied node.

  Parameters:
  `attachmentPoint` -
    The document node to which new contents will be attached. To ensure that the new document is well-formed, this document node should have no existing children.

### DomDestination

    public DomDestination(System.Xml.XmlDocumentFragment attachmentPoint)

  Construct a `DomDestination` based on an existing DocumentFragment node.

  The new data will be added as a child of the supplied node.

  Parameters:
  `attachmentPoint` -
    The document fragment node to which new contents will be attached. The new contents will be added after any existing children.

### DomDestination

    public DomDestination(System.Xml.XmlElement attachmentPoint)

  Construct a `DomDestination` based on an existing Element node.

  The new data will be added as a child of the supplied element node.

  Parameters:
  `attachmentPoint` -
    The element node to which new contents will be attached. The new contents will be added after any existing children.

Property Detail

### XmlDocument

    public XmlDocument XmlDocument {get; }

  After construction, retrieve the constructed document node

  If the zero-argument constructor was used, this will be a newly constructed document node. If the constructor supplied a document node, the same document node will be returned. If the constructor supplied a document fragment node or an element node, this method returns the `OwnerDocument` property of that node.

Method Detail

### GetResult

    public override JResult GetResult()